# $Id: Makefile.am 27951 2025-05-09 16:34:45Z yeti-dn $

libgwyddion = $(top_builddir)/libgwyddion/libgwyddion3.la
libgwyui = $(top_builddir)/libgwyui/libgwyui3.la
libgwyapp = $(top_builddir)/libgwyapp/libgwyapp3.la

if OS_MSWIN
no_undefined = -no-undefined
endif

bin_PROGRAMS = gwyddion3-thumbnailer
man1_MANS = gwyddion3-thumbnailer.1

EXTRA_DIST = gwyddion3-thumbnailer.1

gwyddion3_thumbnailer_SOURCES = gwyddion3-thumbnailer.c

AM_CPPFLAGS = -I$(top_srcdir)
AM_CFLAGS = @GTK_CFLAGS@

gwyddion3_thumbnailer_LDADD = @GTK_LIBS@ @BASIC_LIBS@ \
	$(libgwyapp) \
	$(libgwyui) \
	$(libgwyddion)

CLEANFILES =

DISTCLEANFILES =

clean-local:
	rm -f core.* *~
